llvm.org GIT mirror llvm / 301861b
[CMake] Update C4324 MSVC warning comment to explain its still broken at VS2019 As promised, I've updated the comment for the C4324 MSVC warning that was re-disabled at rL367409 / rG8f823e63e3edf87ab029ba32b68f3eb5d2f392b5 to put it in terms of currently supported VS versions git-svn-id: https://llvm.org/svn/llvm-project/llvm/trunk@369368 91177308-0d34-0410-b5e6-96231b3b80d8 Simon Pilgrim 2 months ago
1 changed file(s) with 1 addition(s) and 3 deletion(s). Raw diff Collapse all Expand all
542542 # is fixed.
543543 -wd4709 # Suppress comma operator within array index expression
544544
545 # Ideally, we'd like this warning to be enabled, but MSVC 2013 doesn't
545 # Ideally, we'd like this warning to be enabled, but even MSVC 2019 doesn't
546546 # support the 'aligned' attribute in the way that clang sources requires (for
547547 # any code that uses the LLVM_ALIGNAS macro), so this is must be disabled to
548548 # avoid unwanted alignment warnings.
549 # When we switch to requiring a version of MSVC that supports the 'alignas'
550 # specifier (MSVC 2015?) this warning can be re-enabled.
551549 -wd4324 # Suppress 'structure was padded due to __declspec(align())'
552550
553551 # Promoted warnings.